---
profiles:
  - PRPL_OSP_TB341
target: intel_x86
subtarget: lgm
external_target: True
description: Build images for the Maxlinear x86 devices - OSP
             This target requires sources from MaxLinear, that are accessible via
             git.maxlinear.com.
             For reference boards, source code access and reporting issues,
             please check https://gitlab.com/prpl-foundation/prplos/prplos/-/wikis/MaxLinear-Open-Service-Platform
feeds:
  - name: intel_x86
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_target_x86.git
    tracking_branch: updk_9.1.60
    revision: b4830a55e173404589cb313278011d3bb5aae373
  - name: rootfs
    uri: ssh://git@git.maxlinear.com/ugw/rootfs.git
    tracking_branch: updk_9.1.60
    revision: df3dbc4d84a29d1571f026ab047589c17f023ca3
  - name: 3rdparty
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_3rdparty.git
    tracking_branch: master
    revision: 9085085ca3b91aa5468b7a35645772540aad083f
  - name: datapath
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_datapath.git
    tracking_branch: master
    revision: cd2931b64a536e51ebe87d45622e6f1b8927dac6
  - name: gphy_firmware
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_gphy_firmware.git
    tracking_branch: master
    revision: 7f53bcc7d43c8fe41417d21d50e290bb77f6c231
  - name: gwdpa_dpm
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_gwdpa-dpm.git
    tracking_branch: updk_9.1.60.2
    revision: ec0e6087e4aafd3bf0a32a2dd99b09be26dfaa13
  - name: misc
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_common.git
    tracking_branch: master
    revision: 3ab18477cfb96b7ae3a5bdc065ff0ba8a98ee843
  - name: opensource_apps_prpl
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_opensource_apps_prpl.git
    tracking_branch: updk_9.1.60_openwrt_23.05
    revision: aadcdfce9702c793a2810b6d1f94725795f376c8
  - name: packet_learn
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_packet_learn.git
    tracking_branch: master
    revision: 261334b679f592daf84663860cdb598218480419
  - name: pon
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_pon.git
    tracking_branch: master
    revision: b0de0d1532b75c4358d0143ce726a435ad1329cd
  - name: ppa
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_ppa.git
    tracking_branch: updk_9.1.60_openwrt_23.05
    revision: 8688a9221ea2e1b9c78c666ae005381038b43f2b
  - name: pp_net_adapter
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_pp_net_adapter.git
    tracking_branch: updk_9.1.60_openwrt_23.05
    revision: 3ee058b1a2c5c327995d8a8fcb79dea9993a7d12
  - name: vpn_fw
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_vpn_fw.git
    tracking_branch: master
    revision: 8e08b19977af08dc5870dfa9e169545e2220d4d4
  - name: qos
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_qos_tc.git
    tracking_branch: master
    revision: 8904e7fbb73db1d880d7f14139cb971296275c9b
  - name: utils
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_ugw_utils.git
    tracking_branch: updk_9.1.60
    revision: 36194ccc5d21e3988689d0fdea91be4e6b5ff0f7
  - name: bootloader
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_uboot.git
    tracking_branch:  u-boot-2022.01_prpl
    revision: 6f17b620632364f1f7271b0f6fe3d02cb5222819
  - name: dpl
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_dpl.git
    tracking_branch:  master
    revision: d381a96bad0b4f05be744b9d1b595beffc5b225e
  - name: speedtest
    uri: ssh://git@git.maxlinear.com/mxl/speedtest.git
    tracking_branch:  master
    revision: e0c8e49ccf0bca8ce1c1390cdd3dc34780453d32
  - name: mcast_service
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_mcast_service.git
    tracking_branch:  updk_9.1.60_openwrt_23.05
    revision: 218b8e9195108d5e6688522071d24fe076c6b3a9
  - name: ugw_sdk
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_ugw_sdk.git
    tracking_branch: updk_9.1.60
    revision: 5313eed4ab679238d5d14f065d6a393f0ff0952c
  - name: system_service
    uri: ssh://git@git.maxlinear.com/ugw/feeds/feed_system_service.git
    tracking_branch: updk_9.1.60
    revision: 1523a71470dcc056e41bed4a5514b0fcdef0e4da

packages:
  - kmod-mxl_eth_drv
  - kmod-gwdpa-dpm
  - kmod-pp_net_adapter
  - kmod-packet_learn
  - ppv4-firmware-lgm
  - kmod-intel_ppv4_fw_lgm
  - kmod-intel-extmark-x86
  - kmod-ppv4
  - kmod-p34x_phy_fwdl
  - mxl-gphy-fw-lgm
  #- netifd-ugw
  - e2fsprogs
  - kmod-directconnect-dp
  - kmod-ppa-drv
  - kmod-ppa-drv-accel
  - kmod-ppa-drv-gre
  - kmod-ppa-drv-lgm
  - kmod-ppa-drv-stack-al
  - ppacmd
  - kmod-mxl_vpn
  - kmod-mxl_lgm_toe
  - kmod-ipsec4
  - kmod-ipsec6
  - kmod-ipsec
  - eip197-firmware
  - kmod-safexcel
  - vpn-firmware-lgm
  - kmod-ipsec4-offload
  - kmod-ipsec6-offload
  - pon-libnl
  - gpon-omci-onu
  - pon-mcc-lib
  - pon-lib
  - pon-net-lib
  - pon-img-lib
  - pon-tools
  - base-files-platform-lgm
  - pon-base-files
  - pon-base-files-debug
  - pon-base-files-prpl
  - pon-lib-cli
  - pon-lib-daemon
  - ponmbox-cli
  - pon-gpon-firmware-urx-b
  - pon-xpon-firmware-urx-b
  - pon-serdes-firmware-urx-b
  - kmod-pon-mbox-drv-eth
  - kmod-dp-eth-reinsert
  - kmod-pon-mcc-drv
  - kmod-pon-mcc-drv-filter
  - kmod-mxl_pon_hgu_vuni_lgm
  - kmod-ebt-prio
  - ethtool
  - base-files-prpl
  - ppmd
  - pm-util
  - kmod-intel-qos
  - kmod-qos-tc
  - partx-utils
  - obudpst
  - speedtest-modules
  - kmod-dpl
  - kmod-mxl_gpy
  - kmod-mcast-helper
  - libmcastdaemon
  - libmcastfapi
  - libugwhelper
  - libmsgapi
  - sse_fapi_lgm
  - sse_fapi_lgm-sse_test_app
  - mcastcli
  #- secure-utils
  - secure_upgrade_utils
  - fwupgrade

diffconfig: |
  CONFIG_DEVEL=y
  CONFIG_EXTRA_OPTIMIZATION="-fno-caller-saves -fno-plt -Wno-error=deprecated-declarations -Wno-error=address"
  CONFIG_KERNEL_GIT_CLONE_URI="git@git.maxlinear.com:mxl/linux.git"
  CONFIG_KERNEL_GIT_REF="updk_9.1.60_openwrt_23.05"
  CONFIG_GPON_OMCI_ONU_UBUS_INTERFACE=y
  CONFIG_TARGET_MULTI_PROFILE=y
  CONFIG_TARGET_PER_DEVICE_ROOTFS=y
  CONFIG_TARGET_DEVICE_intel_x86_lgm_DEVICE_PRPL_OSP_TB341=y
  # CONFIG_TARGET_DEVICE_intel_x86_lgm_DEVICE_LGM_PRPL is not set
  # CONFIG_TARGET_ROOTFS_EXT4FS is not set
  CONFIG_BUILD_LOG=y
  CONFIG_PACKAGE_uboot-osp-tb341-p34x-phy-emmc=y
  CONFIG_VERSION_FILENAMES=n
  CONFIG_VERSION_CODE_FILENAMES=n
  # CONFIG_PACKAGE_bios_images is not set
  CONFIG_BUILD_SDK="prplos"
  CONFIG_BUSYBOX_CUSTOM=y
  CONFIG_BUSYBOX_CONFIG_TFTPD=y
  CONFIG_BUSYBOX_CONFIG_FEATURE_TFTP_GET=y
  CONFIG_BUSYBOX_CONFIG_FEATURE_TFTP_PUT=y
  CONFIG_BUSYBOX_CONFIG_TFTP=y
  CONFIG_LGM_EIP123_SUPPORT=y
  CONFIG_KERNEL_FTRACE=y
